From 7eec0508880ca5eb68e701b78aabbed23fc63cb4 Mon Sep 17 00:00:00 2001
From: Florian Franzmann <siflfran@hawo.stw.uni-erlangen.de>
Date: Fri, 21 Mar 2014 18:11:46 +0100
Subject: [PATCH] fix Makefiles

---
 apps/Makefile | 8 ++++----
 libs/Makefile | 8 ++++----
 2 files changed, 8 insertions(+), 8 deletions(-)

diff --git a/apps/Makefile b/apps/Makefile
index 6d61617..d96bdae 100644
--- a/apps/Makefile
+++ b/apps/Makefile
@@ -19,13 +19,13 @@
 # ----------------------------------------------------------------------------
 
 
-PREFIX = /usr/local
+PREFIX ?= /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
-LIBDIR = lib$(SUFFIX)
+LIBDIR = lib
 VERSION = "0.1.0"
-LDFLAGS += -L$(PREFIX)/$(LIBDIR)
+LDFLAGS += -L$(PREFIX)/$(LIBDIR) -L../libs
 CPPFLAGS += -DVERSION=\"$(VERSION)\"
-CXXFLAGS += -O2 -Wall -MMD -MP
+CXXFLAGS += -Wall -MMD -MP -I../libs
 
 
 all:	alsa_loopback alsa_delay
diff --git a/libs/Makefile b/libs/Makefile
index dd99b1d..ee8f238 100644
--- a/libs/Makefile
+++ b/libs/Makefile
@@ -20,9 +20,9 @@
 
 # Modify as required.
 #
-PREFIX = /usr/local
+PREFIX ?= /usr/local
 SUFFIX := $(shell uname -m | sed -e 's/^unknown/$//' -e 's/^i.86/$//' -e 's/^x86_64/$/64/')
-LIBDIR = lib$(SUFFIX)
+LIBDIR = lib
 
 
 MAJVERS = 0
@@ -30,8 +30,8 @@ MINVERS = 2.0
 VERSION = $(MAJVERS).$(MINVERS)
 
 
-CPPFLAGS += -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS
-CXXFLAGS += -O2 -Wall -I. -fPIC
+CPPFLAGS += -D_REENTRANT -D_POSIX_PTHREAD_SEMANTICS -DPIC
+CXXFLAGS += -Wall -I. -fPIC
 LDLFAGS +=
 LDLIBS +=
 
-- 
1.9.0

